package card;
public abstract class AbstractCard implements Card {
	private int id;
	private String name;
	protected AbstractCard(int id, String name){
		this.id=id;
		this.name = name;
	}
	@Override
	public final int compareTo(Card arg0) {
		return id()-arg0.id();
	}
	@Override
	public final String name() {
		return name;
	}
	@Override
	public final int id() {
		return id;
	}
	@Override
	public final String toString() {
		return name;
	}
}
