package gacha;
import java.util.Map;
import java.util.TreeMap;
import card.Card;
public abstract class AbstractBunpu implements Bunpu {
	protected final Deck deck;
	public AbstractBunpu(Deck deck) {
		this.deck = deck;
	}
	protected TreeMap<Double,Card> map;
	@Override
	public void initMap() {
		map =  deck.calcMap();
		if(test.Constant.debug)System.out.println(map);
	}
	@Override
	public Card randomDraw() {
		double rand = Math.random();
		if(test.Constant.debug)System.out.println(rand);
		Map.Entry<Double, Card> e = map.floorEntry(rand);
		if(test.Constant.debug)System.out.println(e);
		return e.getValue();
	}
	@Override
	public String toString() {
		return this.getClass().getName()+" [" + map + "]";
	}
}