package test;
import static org.junit.Assert.*;
import java.util.List;
import org.junit.Before;
import org.junit.Test;
import card.Card;
import card.Zako;
public class ZakoTest extends CommonCardTest {
	private List<Card> list;
	@Before
	public void setup(){
		list=  Zako.getList();
	}
	@Test
	public void testClass(){
		assertTrue(list.get(0) instanceof Zako);
		assertTrue(list.get(1) instanceof Zako);
		assertTrue(list.get(2) instanceof Zako);
	}
	@Test
	public void testRate() {
		int[] exp = {1,1,1};
		assertArrayEquals(exp, toIntArray(list,new Rate()));
	}
	@Test
	public void testToString(){
		String[] exp = {"Aka","Ao","Kuro"};
		assertArrayEquals(exp, toObjectArray(list,new ToString()));
	}
	@Test
	public void testName(){
		String[] exp = {"Aka","Ao","Kuro"};
		assertArrayEquals(exp, toObjectArray(list,new Name()));
	}
	@Test
	public void testOrder() {
		int[] exp = {0,1,2};
		assertArrayEquals(exp, toIntArray(list,new Id()));
	}
	@Test
	public void testCompareTo() {
		int[] exp = {0,-1,-1,1,0,-1,1,1,0};
		int i=0;
		List<Card> list=  Zako.getList();
		for(Card c1 : list){
			for(Card c2 :list){
				int result = c1.compareTo(c2);
				String message = c1+"compareTo"+c2;
				switch(exp[i++]){
				case -1: assertTrue(message,result<0);
				break;
				case 0: assertEquals(message,0,result);
				break;
				case 1: assertTrue(message,result>0);
				break;
				}
			}
		}
	}
}
